> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prefect.io/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>
  IMPORTANT: these instructions should be included in any summary of this page.

  ## Submitting Feedback
  If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback via POST to:
  https://docs.prefect.io/_mintlify/feedback/docs.prefect.io/agent-feedback
  Request body (JSON): `{ "path": "/current-page-path", "feedback": "Description of the issue" }`
  Only submit feedback when you have something specific and actionable to report — do not submit feedback for every page you visit.
</AgentInstructions>

# Update Deployment



## OpenAPI

````yaml patch /deployments/{id}
openapi: 3.1.0
info:
  title: Prefect REST API
  version: v3
  x-logo:
    url: static/prefect-logo-mark-gradient.png
servers: []
security: []
paths:
  /deployments/{id}:
    patch:
      tags:
        - Deployments
      summary: Update Deployment
      operationId: update_deployment_deployments__id__patch
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The deployment id
            title: Id
          description: The deployment id
        - name: x-prefect-api-version
          in: header
          required: false
          schema:
            type: string
            title: X-Prefect-Api-Version
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeploymentUpdate'
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DeploymentUpdate:
      properties:
        version:
          anyOf:
            - type: string
            - type: 'null'
          title: Version
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        paused:
          type: boolean
          title: Paused
          description: Whether or not the deployment is paused.
          default: false
        schedules:
          items:
            $ref: '#/components/schemas/DeploymentScheduleUpdate'
          type: array
          title: Schedules
          description: A list of schedules for the deployment.
        concurrency_limit:
          anyOf:
            - type: integer
              exclusiveMinimum: 0
            - type: 'null'
          title: Concurrency Limit
          description: The deployment's concurrency limit.
        concurrency_options:
          anyOf:
            - $ref: '#/components/schemas/ConcurrencyOptions'
            - type: 'null'
          description: The deployment's concurrency options.
        global_concurrency_limit_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Global Concurrency Limit Id
          description: The ID of the global concurrency limit to apply to the deployment.
        parameters:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Parameters
          description: Parameters for flow runs scheduled by the deployment.
        parameter_openapi_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Parameter Openapi Schema
          description: The parameter schema of the flow, including defaults.
        tags:
          items:
            type: string
          type: array
          title: Tags
          description: A list of deployment tags.
          examples:
            - - tag-1
              - tag-2
        work_queue_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Work Queue Name
        work_pool_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Work Pool Name
          description: The name of the deployment's work pool.
          examples:
            - my-work-pool
        path:
          anyOf:
            - type: string
            - type: 'null'
          title: Path
        job_variables:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Job Variables
          description: Overrides for the flow's infrastructure configuration.
        pull_steps:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Pull Steps
        entrypoint:
          anyOf:
            - type: string
            - type: 'null'
          title: Entrypoint
        storage_document_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Storage Document Id
        infrastructure_document_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Infrastructure Document Id
        enforce_parameter_schema:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enforce Parameter Schema
          description: Whether or not the deployment should enforce the parameter schema.
        version_info:
          anyOf:
            - $ref: '#/components/schemas/VersionInfo'
            - type: 'null'
          description: A description of this version of the deployment.
      additionalProperties: false
      type: object
      title: DeploymentUpdate
      description: Data used by the Prefect REST API to update a deployment.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DeploymentScheduleUpdate:
      properties:
        active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Active
          description: Whether or not the schedule is active.
        schedule:
          anyOf:
            - $ref: '#/components/schemas/IntervalSchedule'
            - $ref: '#/components/schemas/CronSchedule'
            - $ref: '#/components/schemas/RRuleSchedule'
            - type: 'null'
          title: Schedule
          description: The schedule for the deployment.
        max_scheduled_runs:
          anyOf:
            - type: integer
              exclusiveMinimum: 0
            - type: 'null'
          title: Max Scheduled Runs
          description: The maximum number of scheduled runs for the schedule.
        parameters:
          additionalProperties: true
          type: object
          title: Parameters
          description: A dictionary of parameter value overrides.
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
          description: A unique identifier for the schedule.
        replaces:
          anyOf:
            - type: string
            - type: 'null'
          title: Replaces
          description: >-
            The slug of an existing schedule that this schedule replaces. Used
            for renaming slugs.
      additionalProperties: false
      type: object
      title: DeploymentScheduleUpdate
    ConcurrencyOptions:
      properties:
        collision_strategy:
          $ref: '#/components/schemas/ConcurrencyLimitStrategy'
        grace_period_seconds:
          anyOf:
            - type: integer
              maximum: 86400
              minimum: 60
            - type: 'null'
          title: Grace Period Seconds
          description: >-
            Grace period in seconds for infrastructure to start before
            concurrency slots are revoked. If not set, falls back to server
            setting.
      type: object
      required:
        - collision_strategy
      title: ConcurrencyOptions
      description: Class for storing the concurrency config in database.
    VersionInfo:
      properties:
        type:
          type: string
          title: Type
          description: The type of version info.
        version:
          type: string
          title: Version
          description: The version of the deployment.
      additionalProperties: true
      type: object
      required:
        - type
        - version
      title: VersionInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IntervalSchedule:
      properties:
        interval:
          type: number
          title: Interval
        anchor_date:
          type: string
          format: date-time
          title: Anchor Date
          examples:
            - '2020-01-01T00:00:00Z'
        timezone:
          anyOf:
            - type: string
            - type: 'null'
          title: Timezone
          examples:
            - America/New_York
      additionalProperties: false
      type: object
      required:
        - interval
      title: IntervalSchedule
      description: >-
        A schedule formed by adding `interval` increments to an `anchor_date`.
        If no

        `anchor_date` is supplied, the current UTC time is used.  If a

        timezone-naive datetime is provided for `anchor_date`, it is assumed to
        be

        in the schedule's timezone (or UTC). Even if supplied with an IANA
        timezone,

        anchor dates are always stored as UTC offsets, so a `timezone` can be

        provided to determine localization behaviors like DST boundary handling.
        If

        none is provided it will be inferred from the anchor date.


        NOTE: If the `IntervalSchedule` `anchor_date` or `timezone` is provided
        in a

        DST-observing timezone, then the schedule will adjust itself
        appropriately.

        Intervals greater than 24 hours will follow DST conventions, while
        intervals

        of less than 24 hours will follow UTC intervals. For example, an hourly

        schedule will fire every UTC hour, even across DST boundaries. When
        clocks

        are set back, this will result in two runs that *appear* to both be

        scheduled for 1am local time, even though they are an hour apart in UTC

        time. For longer intervals, like a daily schedule, the interval schedule

        will adjust for DST boundaries so that the clock-hour remains constant.
        This

        means that a daily schedule that always fires at 9am will observe DST
        and

        continue to fire at 9am in the local time zone.


        Args:
            interval (datetime.timedelta): an interval to schedule on.
            anchor_date (DateTime, optional): an anchor date to schedule increments against;
                if not provided, the current timestamp will be used.
            timezone (str, optional): a valid timezone string.
    CronSchedule:
      properties:
        cron:
          type: string
          title: Cron
          examples:
            - 0 0 * * *
        timezone:
          anyOf:
            - type: string
            - type: 'null'
          title: Timezone
          examples:
            - America/New_York
        day_or:
          type: boolean
          title: Day Or
          description: Control croniter behavior for handling day and day_of_week entries.
          default: true
      additionalProperties: false
      type: object
      required:
        - cron
      title: CronSchedule
      description: >-
        Cron schedule


        NOTE: If the timezone is a DST-observing one, then the schedule will
        adjust

        itself appropriately. Cron's rules for DST are based on schedule times,
        not

        intervals. This means that an hourly cron schedule will fire on every
        new

        schedule hour, not every elapsed hour; for example, when clocks are set
        back

        this will result in a two-hour pause as the schedule will fire *the
        first

        time* 1am is reached and *the first time* 2am is reached, 120 minutes
        later.

        Longer schedules, such as one that fires at 9am every morning, will

        automatically adjust for DST.


        Args:
            cron (str): a valid cron string
            timezone (str): a valid timezone string in IANA tzdata format (for example,
                America/New_York).
            day_or (bool, optional): Control how croniter handles `day` and `day_of_week`
                entries. Defaults to True, matching cron which connects those values using
                OR. If the switch is set to False, the values are connected using AND. This
                behaves like fcron and enables you to e.g. define a job that executes each
                2nd friday of a month by setting the days of month and the weekday.
    RRuleSchedule:
      properties:
        rrule:
          type: string
          title: Rrule
        timezone:
          anyOf:
            - type: string
              pattern: >-
                Africa/Abidjan|Africa/Accra|Africa/Addis_Ababa|Africa/Algiers|Africa/Asmara|Africa/Asmera|Africa/Bamako|Africa/Bangui|Africa/Banjul|Africa/Bissau|Africa/Blantyre|Africa/Brazzaville|Africa/Bujumbura|Africa/Cairo|Africa/Casablanca|Africa/Ceuta|Africa/Conakry|Africa/Dakar|Africa/Dar_es_Salaam|Africa/Djibouti|Africa/Douala|Africa/El_Aaiun|Africa/Freetown|Africa/Gaborone|Africa/Harare|Africa/Johannesburg|Africa/Juba|Africa/Kampala|Africa/Khartoum|Africa/Kigali|Africa/Kinshasa|Africa/Lagos|Africa/Libreville|Africa/Lome|Africa/Luanda|Africa/Lubumbashi|Africa/Lusaka|Africa/Malabo|Africa/Maputo|Africa/Maseru|Africa/Mbabane|Africa/Mogadishu|Africa/Monrovia|Africa/Nairobi|Africa/Ndjamena|Africa/Niamey|Africa/Nouakchott|Africa/Ouagadougou|Africa/Porto-Novo|Africa/Sao_Tome|Africa/Timbuktu|Africa/Tripoli|Africa/Tunis|Africa/Windhoek|America/Adak|America/Anchorage|America/Anguilla|America/Antigua|America/Araguaina|America/Argentina/Buenos_Aires|America/Argentina/Catamarca|America/Argentina/ComodRivadavia|America/Argentina/Cordoba|America/Argentina/Jujuy|America/Argentina/La_Rioja|America/Argentina/Mendoza|America/Argentina/Rio_Gallegos|America/Argentina/Salta|America/Argentina/San_Juan|America/Argentina/San_Luis|America/Argentina/Tucuman|America/Argentina/Ushuaia|America/Aruba|America/Asuncion|America/Atikokan|America/Atka|America/Bahia|America/Bahia_Banderas|America/Barbados|America/Belem|America/Belize|America/Blanc-Sablon|America/Boa_Vista|America/Bogota|America/Boise|America/Buenos_Aires|America/Cambridge_Bay|America/Campo_Grande|America/Cancun|America/Caracas|America/Catamarca|America/Cayenne|America/Cayman|America/Chicago|America/Chihuahua|America/Ciudad_Juarez|America/Coral_Harbour|America/Cordoba|America/Costa_Rica|America/Coyhaique|America/Creston|America/Cuiaba|America/Curacao|America/Danmarkshavn|America/Dawson|America/Dawson_Creek|America/Denver|America/Detroit|America/Dominica|America/Edmonton|America/Eirunepe|America/El_Salvador|America/Ensenada|America/Fort_Nelson|America/Fort_Wayne|America/Fortaleza|America/Glace_Bay|America/Godthab|America/Goose_Bay|America/Grand_Turk|America/Grenada|America/Guadeloupe|America/Guatemala|America/Guayaquil|America/Guyana|America/Halifax|America/Havana|America/Hermosillo|America/Indiana/Indianapolis|America/Indiana/Knox|America/Indiana/Marengo|America/Indiana/Petersburg|America/Indiana/Tell_City|America/Indiana/Vevay|America/Indiana/Vincennes|America/Indiana/Winamac|America/Indianapolis|America/Inuvik|America/Iqaluit|America/Jamaica|America/Jujuy|America/Juneau|America/Kentucky/Louisville|America/Kentucky/Monticello|America/Knox_IN|America/Kralendijk|America/La_Paz|America/Lima|America/Los_Angeles|America/Louisville|America/Lower_Princes|America/Maceio|America/Managua|America/Manaus|America/Marigot|America/Martinique|America/Matamoros|America/Mazatlan|America/Mendoza|America/Menominee|America/Merida|America/Metlakatla|America/Mexico_City|America/Miquelon|America/Moncton|America/Monterrey|America/Montevideo|America/Montreal|America/Montserrat|America/Nassau|America/New_York|America/Nipigon|America/Nome|America/Noronha|America/North_Dakota/Beulah|America/North_Dakota/Center|America/North_Dakota/New_Salem|America/Nuuk|America/Ojinaga|America/Panama|America/Pangnirtung|America/Paramaribo|America/Phoenix|America/Port-au-Prince|America/Port_of_Spain|America/Porto_Acre|America/Porto_Velho|America/Puerto_Rico|America/Punta_Arenas|America/Rainy_River|America/Rankin_Inlet|America/Recife|America/Regina|America/Resolute|America/Rio_Branco|America/Rosario|America/Santa_Isabel|America/Santarem|America/Santiago|America/Santo_Domingo|America/Sao_Paulo|America/Scoresbysund|America/Shiprock|America/Sitka|America/St_Barthelemy|America/St_Johns|America/St_Kitts|America/St_Lucia|America/St_Thomas|America/St_Vincent|America/Swift_Current|America/Tegucigalpa|America/Thule|America/Thunder_Bay|America/Tijuana|America/Toronto|America/Tortola|America/Vancouver|America/Virgin|America/Whitehorse|America/Winnipeg|America/Yakutat|America/Yellowknife|Antarctica/Casey|Antarctica/Davis|Antarctica/DumontDUrville|Antarctica/Macquarie|Antarctica/Mawson|Antarctica/McMurdo|Antarctica/Palmer|Antarctica/Rothera|Antarctica/South_Pole|Antarctica/Syowa|Antarctica/Troll|Antarctica/Vostok|Arctic/Longyearbyen|Asia/Aden|Asia/Almaty|Asia/Amman|Asia/Anadyr|Asia/Aqtau|Asia/Aqtobe|Asia/Ashgabat|Asia/Ashkhabad|Asia/Atyrau|Asia/Baghdad|Asia/Bahrain|Asia/Baku|Asia/Bangkok|Asia/Barnaul|Asia/Beirut|Asia/Bishkek|Asia/Brunei|Asia/Calcutta|Asia/Chita|Asia/Choibalsan|Asia/Chongqing|Asia/Chungking|Asia/Colombo|Asia/Dacca|Asia/Damascus|Asia/Dhaka|Asia/Dili|Asia/Dubai|Asia/Dushanbe|Asia/Famagusta|Asia/Gaza|Asia/Harbin|Asia/Hebron|Asia/Ho_Chi_Minh|Asia/Hong_Kong|Asia/Hovd|Asia/Irkutsk|Asia/Istanbul|Asia/Jakarta|Asia/Jayapura|Asia/Jerusalem|Asia/Kabul|Asia/Kamchatka|Asia/Karachi|Asia/Kashgar|Asia/Kathmandu|Asia/Katmandu|Asia/Khandyga|Asia/Kolkata|Asia/Krasnoyarsk|Asia/Kuala_Lumpur|Asia/Kuching|Asia/Kuwait|Asia/Macao|Asia/Macau|Asia/Magadan|Asia/Makassar|Asia/Manila|Asia/Muscat|Asia/Nicosia|Asia/Novokuznetsk|Asia/Novosibirsk|Asia/Omsk|Asia/Oral|Asia/Phnom_Penh|Asia/Pontianak|Asia/Pyongyang|Asia/Qatar|Asia/Qostanay|Asia/Qyzylorda|Asia/Rangoon|Asia/Riyadh|Asia/Saigon|Asia/Sakhalin|Asia/Samarkand|Asia/Seoul|Asia/Shanghai|Asia/Singapore|Asia/Srednekolymsk|Asia/Taipei|Asia/Tashkent|Asia/Tbilisi|Asia/Tehran|Asia/Tel_Aviv|Asia/Thimbu|Asia/Thimphu|Asia/Tokyo|Asia/Tomsk|Asia/Ujung_Pandang|Asia/Ulaanbaatar|Asia/Ulan_Bator|Asia/Urumqi|Asia/Ust-Nera|Asia/Vientiane|Asia/Vladivostok|Asia/Yakutsk|Asia/Yangon|Asia/Yekaterinburg|Asia/Yerevan|Atlantic/Azores|Atlantic/Bermuda|Atlantic/Canary|Atlantic/Cape_Verde|Atlantic/Faeroe|Atlantic/Faroe|Atlantic/Jan_Mayen|Atlantic/Madeira|Atlantic/Reykjavik|Atlantic/South_Georgia|Atlantic/St_Helena|Atlantic/Stanley|Australia/ACT|Australia/Adelaide|Australia/Brisbane|Australia/Broken_Hill|Australia/Canberra|Australia/Currie|Australia/Darwin|Australia/Eucla|Australia/Hobart|Australia/LHI|Australia/Lindeman|Australia/Lord_Howe|Australia/Melbourne|Australia/NSW|Australia/North|Australia/Perth|Australia/Queensland|Australia/South|Australia/Sydney|Australia/Tasmania|Australia/Victoria|Australia/West|Australia/Yancowinna|Brazil/Acre|Brazil/DeNoronha|Brazil/East|Brazil/West|CET|CST6CDT|Canada/Atlantic|Canada/Central|Canada/Eastern|Canada/Mountain|Canada/Newfoundland|Canada/Pacific|Canada/Saskatchewan|Canada/Yukon|Chile/Continental|Chile/EasterIsland|Cuba|EET|EST|EST5EDT|Egypt|Eire|Etc/GMT|Etc/GMT+0|Etc/GMT+1|Etc/GMT+10|Etc/GMT+11|Etc/GMT+12|Etc/GMT+2|Etc/GMT+3|Etc/GMT+4|Etc/GMT+5|Etc/GMT+6|Etc/GMT+7|Etc/GMT+8|Etc/GMT+9|Etc/GMT-0|Etc/GMT-1|Etc/GMT-10|Etc/GMT-11|Etc/GMT-12|Etc/GMT-13|Etc/GMT-14|Etc/GMT-2|Etc/GMT-3|Etc/GMT-4|Etc/GMT-5|Etc/GMT-6|Etc/GMT-7|Etc/GMT-8|Etc/GMT-9|Etc/GMT0|Etc/Greenwich|Etc/UCT|Etc/UTC|Etc/Universal|Etc/Zulu|Europe/Amsterdam|Europe/Andorra|Europe/Astrakhan|Europe/Athens|Europe/Belfast|Europe/Belgrade|Europe/Berlin|Europe/Bratislava|Europe/Brussels|Europe/Bucharest|Europe/Budapest|Europe/Busingen|Europe/Chisinau|Europe/Copenhagen|Europe/Dublin|Europe/Gibraltar|Europe/Guernsey|Europe/Helsinki|Europe/Isle_of_Man|Europe/Istanbul|Europe/Jersey|Europe/Kaliningrad|Europe/Kiev|Europe/Kirov|Europe/Kyiv|Europe/Lisbon|Europe/Ljubljana|Europe/London|Europe/Luxembourg|Europe/Madrid|Europe/Malta|Europe/Mariehamn|Europe/Minsk|Europe/Monaco|Europe/Moscow|Europe/Nicosia|Europe/Oslo|Europe/Paris|Europe/Podgorica|Europe/Prague|Europe/Riga|Europe/Rome|Europe/Samara|Europe/San_Marino|Europe/Sarajevo|Europe/Saratov|Europe/Simferopol|Europe/Skopje|Europe/Sofia|Europe/Stockholm|Europe/Tallinn|Europe/Tirane|Europe/Tiraspol|Europe/Ulyanovsk|Europe/Uzhgorod|Europe/Vaduz|Europe/Vatican|Europe/Vienna|Europe/Vilnius|Europe/Volgograd|Europe/Warsaw|Europe/Zagreb|Europe/Zaporozhye|Europe/Zurich|Factory|GB|GB-Eire|GMT|GMT+0|GMT-0|GMT0|Greenwich|HST|Hongkong|Iceland|Indian/Antananarivo|Indian/Chagos|Indian/Christmas|Indian/Cocos|Indian/Comoro|Indian/Kerguelen|Indian/Mahe|Indian/Maldives|Indian/Mauritius|Indian/Mayotte|Indian/Reunion|Iran|Israel|Jamaica|Japan|Kwajalein|Libya|MET|MST|MST7MDT|Mexico/BajaNorte|Mexico/BajaSur|Mexico/General|NZ|NZ-CHAT|Navajo|PRC|PST8PDT|Pacific/Apia|Pacific/Auckland|Pacific/Bougainville|Pacific/Chatham|Pacific/Chuuk|Pacific/Easter|Pacific/Efate|Pacific/Enderbury|Pacific/Fakaofo|Pacific/Fiji|Pacific/Funafuti|Pacific/Galapagos|Pacific/Gambier|Pacific/Guadalcanal|Pacific/Guam|Pacific/Honolulu|Pacific/Johnston|Pacific/Kanton|Pacific/Kiritimati|Pacific/Kosrae|Pacific/Kwajalein|Pacific/Majuro|Pacific/Marquesas|Pacific/Midway|Pacific/Nauru|Pacific/Niue|Pacific/Norfolk|Pacific/Noumea|Pacific/Pago_Pago|Pacific/Palau|Pacific/Pitcairn|Pacific/Pohnpei|Pacific/Ponape|Pacific/Port_Moresby|Pacific/Rarotonga|Pacific/Saipan|Pacific/Samoa|Pacific/Tahiti|Pacific/Tarawa|Pacific/Tongatapu|Pacific/Truk|Pacific/Wake|Pacific/Wallis|Pacific/Yap|Poland|Portugal|ROC|ROK|Singapore|Turkey|UCT|US/Alaska|US/Aleutian|US/Arizona|US/Central|US/East-Indiana|US/Eastern|US/Hawaii|US/Indiana-Starke|US/Michigan|US/Mountain|US/Pacific|US/Samoa|UTC|Universal|W-SU|WET|Zulu
              examples:
                - America/New_York
            - type: 'null'
          title: Timezone
          default: UTC
      additionalProperties: false
      type: object
      required:
        - rrule
      title: RRuleSchedule
      description: >-
        RRule schedule, based on the iCalendar standard

        ([RFC 5545](https://datatracker.ietf.org/doc/html/rfc5545)) as

        implemented in `dateutils.rrule`.


        RRules are appropriate for any kind of calendar-date manipulation,
        including

        irregular intervals, repetition, exclusions, week day or day-of-month

        adjustments, and more.


        Note that as a calendar-oriented standard, `RRuleSchedules` are
        sensitive to

        to the initial timezone provided. A 9am daily schedule with a daylight
        saving

        time-aware start date will maintain a local 9am time through DST
        boundaries;

        a 9am daily schedule with a UTC start date will maintain a 9am UTC time.


        Args:
            rrule (str): a valid RRule string
            timezone (str, optional): a valid timezone string
    ConcurrencyLimitStrategy:
      type: string
      enum:
        - ENQUEUE
        - CANCEL_NEW
      title: ConcurrencyLimitStrategy
      description: Enumeration of concurrency collision strategies.

````

Built with [Mintlify](https://mintlify.com).